Subject: Re: [dhcwg] WGLC for draft-ietf-dhc-addr-registration-04 - respond by April 13, 2014

From: "Darpan Malhotra (damalhot)" <[email-masked]>
Date: Sun, 30 Mar 2014 08:41:31 +0000

I have few questions/doubts :

  1.  If there are two (or more) DHCPv6 servers , which server takes up the task of configuring DNS server ?

[Does the answer come from draft-ietf-dhc-dhcpv6-load-balancing-01 ? ]

2. Section 5.2  says :

If the address registration server does not receive such a refresh after the valid-lifetime has passed, it SHOULD  remove the IPv6-address-to-FQDN bindings in DNS.

DHCPv6 server is not managing this IAADDR (after all, it is generated by client). How will DHCPv6 server know that valid-lifetime of the address gas expired?  Does this mean that DHCPv6 server keeps recording all the successful ADDR-REGISTRATION-REQUEST transactions ( DUID (client-id) + IA_type + IAID + IAADDR + FQDN + valid-lifetime ) in its stable storage ?

Minor typos observed :

1. Section 1 : Introduction
A new ADDR-REGISTRATION-REQUEST DHCPv6 message type is defined to
initiate the address registration request, and two new Status codes
is defined to indicate registration errors on the server side.

>> two new Status codes are defined to indicate registration errors on the server side.

2. Section 7: IANA Considerations

This document defines a new DHCPv6 message, the ADDR-REGISTRATION-
   REQUEST message (TBA1) described in Section 5<http://tools.ietf.org/html/draft-ietf-dhc-addr-registration-04#section-5>,

This document defines two new DHCPv6 Status code, the
   RegistrationNotSupported (TBA2) and RegistrationDenied (TBA3)
   described in Section 6<http://tools.ietf.org/html/draft-ietf-dhc-addr-registration-04#section-6>,

>> ADDR-REGISTRATION-REQUEST is defined in Section 4 and two new Status Codes are defined in Section 5.

Regards,
Darpan

From: "Bernie Volz (volz)" <[email-masked]<mailto:[email-masked]>>
Date: Saturday, 29 March 2014 7:35 PM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [dhcwg] WGLC for draft-ietf-dhc-addr-registration-04 - respond by April 13, 2014

(WG co-chair hat off)

I do not feel the document is ready “as is”. Please see my comments at http://www.ietf.org/mail-archive/web/dhcwg/current/msg15362.html.

-          Bernie

From: Bernie Volz (volz)
Sent: Saturday, March 29, 2014 10:04 AM
To: [email-masked]<mailto:[email-masked]>
Subject: WGLC for draft-ietf-dhc-addr-registration-04 - respond by April 13, 2014

Folks, the authors of draft-ietf-dhc-addr-registration (http://tools.ietf.org/html/draft-ietf-dhc-addr-registration-04)

feel it's ready for work group last call. Please review this draft and indicate whether or not you feel it is ready to be published.

At the time of this writing, there is no IPR reported against this draft.

Tomek and I will evaluate consensus after April 13, 2014.

Thanks,

Bernie & Tomek